Managed Service for MongoDB API, REST: User.List
Retrieves the list of StoreDoc User resources in the specified cluster.
HTTP request
GET https://mdb.api.cloud.yandex.net/managed-mongodb/v1/clusters/{clusterId}/users
Path parameters
|
Field |
Description |
|
clusterId |
string Required field. ID of the cluster to list StoreDoc users in. The maximum string length in characters is 50. |
Query parameters
|
Field |
Description |
|
pageSize |
string (int64) The maximum number of results per page to return. If the number of available Acceptable values are 0 to 1000, inclusive. |
|
pageToken |
string Page token. To get the next page of results, set The maximum string length in characters is 100. |
Response
HTTP Code: 200 - OK
{
"users": [
{
"name": "string",
"clusterId": "string",
"permissions": [
{
"databaseName": "string",
"roles": [
"string"
]
}
],
"connectionManager": {
"connectionId": "string"
},
"authType": "string",
"deletionProtection": "boolean"
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
users[] |
List of StoreDoc User resources. |
|
nextPageToken |
string This token allows you to get the next page of results for list requests. If the number of results |
User
A StoreDoc User resource. For more information, see the
Developer's Guide.
|
Field |
Description |
|
name |
string Name of the StoreDoc user. |
|
clusterId |
string ID of the StoreDoc cluster the user belongs to. |
|
permissions[] |
Set of permissions granted to the user. |
|
connectionManager |
Connection Manager connection configuration. |
|
authType |
enum (AuthType) Authentication type for the user.
|
|
deletionProtection |
boolean Deletion Protection inhibits deletion of the user. |
Permission
|
Field |
Description |
|
databaseName |
string Name of the database that the permission grants access to. |
|
roles[] |
string StoreDoc roles for the |
ConnectionManager
Connection Manager connection configuration.
|
Field |
Description |
|
connectionId |
string ID of Connection Manager connection. |